Loading...
Searching...
No Matches
sdbus::SignalSubscriber Class Reference

## Public Member Functions

SignalSubscriber & | onInterface (const InterfaceName &interfaceName)
SignalSubscriber & | onInterface (const std::string &interfaceName)
SignalSubscriber & | onInterface (const char *interfaceName)
template<typename _Function>
void | call (_Function &&callback)
template<typename _Function>
Slot | call (_Function &&callback, return_slot_t)

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl